Skip to main content

Chat Off Message

The room in the URL is not currently applied

On this endpoint the roomId in the path is not used to select the chat room. If your account has more than one chat room, the call may act on a different room than the one you named. We have raised this with engineering. Until it is fixed, use the dashboard for this action, or contact support if you need it done via the API.


<button style={{ marginBottom: "10px" }} class="button button--outline button--active button--primary"> Post

https://api.deadsimplechat.com/consumer/api/v1/chatroom/:roomId/chatoffmessage

Chat Off Message

This endpoint lets you set the message that is displayed when the chat room is turned off. When you update the message, the message will be updated in real-time without requiring the users to refresh the page.

info

The auth query parameter is your private key. You can find it in your Dashboard under Developer -> Private Key.

Chat off Messagedescription
Parameters
roomIdstringroomId of the chat room
Query
authstringDashboard -> Developer -> Private Key is your auth
Body
messagestringThe message you want to display when the chat room is off.

Responses

200

JSON

{
success: true
}

400

JSON
{
"message": "invalid accessToken"
}